public static interface JpaEndpointBuilderFactory.JpaBuilders
| Modifier and Type | Method and Description |
|---|---|
default JpaEndpointBuilderFactory.JpaEndpointBuilder |
jpa(String path)
JPA (camel-jpa)
Store and retrieve Java objects from databases using Java Persistence
API (JPA).
|
default JpaEndpointBuilderFactory.JpaEndpointBuilder |
jpa(String componentName,
String path)
JPA (camel-jpa)
Store and retrieve Java objects from databases using Java Persistence
API (JPA).
|
default JpaEndpointBuilderFactory.JpaEndpointBuilder jpa(String path)
jpa:entityType
Path parameter: entityType (required)
Entity class namepath - entityTypedefault JpaEndpointBuilderFactory.JpaEndpointBuilder jpa(String componentName, String path)
jpa:entityType
Path parameter: entityType (required)
Entity class namecomponentName - to use a custom component name for the endpoint
instead of the default namepath - entityTypeApache Camel